%define upstream_name	 DBIx-DBSchema
%define upstream_version 0.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Database-independent schema objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FreezeThaw)
BuildRequires: perl(Storable)
BuildRequires: perl(DBI)
BuildArch:  noarch

%description
DBIx::DBSchema objects are collections of DBIx::DBSchema::Table objects and 
represent a database schema.
This module implements an OO-interface to database schemas. Using this module, 
you can create a database schema with an OO Perl interface. You can read the 
schema from an existing database. You can save the schema to disk and restore 
it a different process. Most importantly, DBIx::DBSchema can write SQL CREATE 
statements statements for different databases from a single source.

Currently supported databases are MySQL and PostgreSQL. Sybase support 
is partially implemented. DBIx::DBSchema will attempt to use generic SQL 
syntax for other databases. Assistance adding support for other databases 
is welcomed. See DBIx::DBSchema::DBD, "Driver Writer's Guide and Base Class".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/DBIx
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.450.0-5.mga8
+ Revision: 1493925
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.450.0-4.mga7
+ Revision: 1267061
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.450.0-3.mga6
+ Revision: 1025474
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.450.0-2.mga6
+ Revision: 967805
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.450.0-1.mga6
+ Revision: 850277
- update to 0.45

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-3.mga5
+ Revision: 739896
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-2.mga5
+ Revision: 684133
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.440.0-1.mga5
+ Revision: 585959
- update to 0.44

* Fri Oct 18 2013 umeabot <umeabot> 0.400.0-3.mga4
+ Revision: 510522
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 365141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 18 2011 kharec <kharec> 0.400.0-1.mga2
+ Revision: 183779
- update to 0.40

* Thu Jan 20 2011 jquelin <jquelin> 0.390.0-2.mga1
+ Revision: 26063
- mageia rebuild
- imported package perl-DBIx-DBSchema


* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-2mdv2010.1
+ Revision: 528109
- rebuild
- update to 0.39

* Fri Jan 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.1
+ Revision: 491626
- update to 0.38

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2010.0
+ Revision: 405960
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.36-3mdv2009.0
+ Revision: 256586
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2008.1
+ Revision: 132043
- update to new version 0.36

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2008.1
+ Revision: 105893
- update to new version 0.35
- update to new version 0.35

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2008.0
+ Revision: 81170
- new schema

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2008.0
+ Revision: 46620
- update to new version 0.33


* Thu Nov 02 2006 Michael Scherer <misc@mandriva.org> 0.31-2mdv2007.0
+ Revision: 75496
- Rebuild
- Import perl-DBIx-DBSchema

